#include <stdio.h>

char *name[] = { " 1st", " 2nd", " 3rd", " 4th", " 5th", " 6th", " 7th",
                 " 8th", " 9th", "10th", "11th", "12th", "13th", "14th" };
char s[256];
double foo, bar, baz, wibble, dowland[12];
int i;

void MakeDowland( void )
{
  dowland[11] = wibble/2;
  dowland[ 6] = (dowland[11] / 3) * 2;
  dowland[ 0] = (dowland[6] / 11) * 2;
  dowland[ 1] = (dowland[6] / 3);
  dowland[ 4] = (dowland[11] / 2);
  dowland[ 5] = ((dowland[6] - dowland[4]) / 2) + dowland[4];
  dowland[ 2] = ((dowland[0] / 3) * 4.5) + dowland[0];   
  dowland[ 3] = ((dowland[4] - dowland[2]) / 2) + dowland[2];
  dowland[ 7] = ((wibble-dowland[0]) / 3) + dowland[0];
  dowland[ 8] = ((wibble-dowland[1]) / 3) + dowland[1];
  dowland[ 9] = ((wibble-dowland[2]) / 3) + dowland[2];
  dowland[10] = ((wibble-dowland[3]) / 3) + dowland[3];
}

void main( void )
{

  printf( "Enter distance between nut and bridge, in millimetres [600]: " );
  if ((!gets( s )) || (!s[0]))
    foo = 600.0;
  else
  {
    sscanf( s, "%lf", &foo );
    if (foo <= 0) return;
  }
  wibble = foo;
  MakeDowland(); 

  printf( "\n\n"
          "                            Lute fret spacing\n"
          "                    Unsupported string length of %d mm\n\n\n"
          "          |     MATHEMATICAL SPACING      ||        DOWLAND SPACING\n"
          "          |                               ||\n"
          "          | Distance from | Distance from || Distance from | Distance from\n"
          " Fret #   |    nut (mm)   |  bridge (mm)  ||    nut (mm)   |  bridge (mm)\n"
          "----------+---------------+---------------++---------------+----------------\n", (int) foo );

  for (i = 0; i < 12; i++)
  {
    bar = foo / 1.059461;
    foo = bar;
    baz = dowland[ i ];
    printf( "%s (%c)  |    %6.1lf     |    %6.1lf     ||    %6.1lf     |    %6.1lf\n",
             name[i], 'B' + i, wibble-foo, foo, baz, wibble-baz );
  }
}